Package com.emc.documentum.rest.error

# Class RestClientErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.emc.documentum.rest.error.RestClientErrorException

All Implemented Interfaces:
  `Serializable`

public class RestClientErrorException extends RuntimeException
This class represents exception caused by REST client

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestClientErrorException(String code, Object[] args, org.springframework.http.HttpStatus status, String details)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArgs()`
  Get error arguments
  `String`
  `getDetails()`
  Get detail
  `String`
  `getErrorCode()`
  Get error code
  `org.springframework.http.HttpStatus`
  `getHttpStatus()`
  Get http status
  `String`
  `getMessage()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RestClientErrorException

    public RestClientErrorException(String code, Object[] args, org.springframework.http.HttpStatus status, String details)
    Constructor
    Parameters:
      `code` - error code
      `args` - error message arguments
      `status` - http status
      `details` - error detail

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`

  - ### getErrorCode

    public String getErrorCode()
    Get error code
    Returns:
      error code

  - ### getHttpStatus

    public org.springframework.http.HttpStatus getHttpStatus()
    Get http status
    Returns:
      http status

  - ### getDetails

    public String getDetails()
    Get detail
    Returns:
      detail

  - ### getArgs

    public Object[] getArgs()
    Get error arguments
    Returns:
      arguments